Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358660 - Avidemux 2.6.12 Qt4 GUI hangs if adwaita-qt4 is installed
Summary: Avidemux 2.6.12 Qt4 GUI hangs if adwaita-qt4 is installed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: adwaita-qt
Version: 24
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-21 08:35 UTC by Ilja Sekler
Modified: 2017-01-06 21:49 UTC (History)
4 users (show)

Fixed In Version: adwaita-qt-0.97-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-06 21:49:06 UTC


Attachments (Terms of Use)

Description Ilja Sekler 2016-07-21 08:35:09 UTC
If adwaita-qt4 package is installed, Avidemux 2.6.12 Qt4 GUI (avidemux3_qt4) shows initially a blank window which fills with completely unresponsive controls a couple of minutes later while indefinitely consuming 100% of a CPU core, which renders this application unusable.

This problem was reported as a RPM Fusion bug https://bugzilla.rpmfusion.org/show_bug.cgi?id=4035 for Avidemux and F23 back in April, but it became only recently clear that the issue was related to adwaita-qt4. The bug equally affects Avidemux Qt4 builds from the current git trunk (despite Qt4 builds being declared obsolete upstream, the Qt5 GUI is not yet functional while the Qt4 one works unless hit by an issue like this one).


rpm -q avidemux-qt
avidemux-qt-2.6.12-3.fc24.x86_64

dnf info adwaita-qt4
Last metadata expiration check: 0:25:28 ago on Thu Jul 21 09:04:57 2016.
Available Packages
Name        : adwaita-qt4
Arch        : i686
Epoch       : 0
Version     : 0.4
Release     : 3.fc24
Size        : 53 k
Repo        : updates
Summary     : Adwaita Qt4 theme
URL         : https://github.com/MartinBriza/adwaita-qt
License     : LGPLv2+
Description : Adwaita theme variant for applications utilizing Qt4

Name        : adwaita-qt4
Arch        : x86_64
Epoch       : 0
Version     : 0.4
Release     : 3.fc24
Size        : 51 k
Repo        : updates
Summary     : Adwaita Qt4 theme
URL         : https://github.com/MartinBriza/adwaita-qt
License     : LGPLv2+
Description : Adwaita theme variant for applications utilizing Qt4


How reproducible:
Always.


Steps to Reproduce:
1. Install adwaita-qt4
2. Install avidemux-qt from rpmfusion.org or build it with a Qt4 GUI from source
3. Run the avidemux3_qt4 executable

Actual results: 
An unresponsive blank window opens, fills with unresponsive controls a few minutes later; Avidemux hangs indefinitely consuming 100% of a CPU core.

Expected results:
The Avidemux window is as fully functional as with adwaita-qt4 uninstalled.


The order of steps 1 and 2 doesn't matter, obviously. It also doesn't help to configure a different GTK+ and Qt theme, the mere presence of adwaita-qt4 is enough to trigger this bug.

Comment 1 Ilja Sekler 2016-07-22 13:56:57 UTC
(In reply to Ilja Sekler from comment #0)
> The bug equally affects Avidemux Qt4 builds from the current git trunk [...].

Err, no, this was my mixup. The current git trunk is *not* affected. It turned out to be that commit

https://github.com/mean00/avidemux2/commit/ad3cde842b8b6e1657f758a63d61c155812e5600

especially

+        slider->setTickInterval(10000000);

in Avidemux was the trigger for the issue, as kindly pointed out in <http://avidemux.org/smif/index.php/topic,16742.msg75795.html#msg75795>. Later the value of TickInterval was reduced post-release, avoiding the issue in the current git.

The question is still why this was making problems with adwaita-qt4.

Comment 2 Fedora Update System 2016-12-14 14:10:55 UTC
adwaita-qt-0.97-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-20b4dc23dc

Comment 3 Fedora Update System 2016-12-15 05:04:26 UTC
adwaita-qt-0.97-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-20b4dc23dc

Comment 4 Fedora Update System 2017-01-06 21:49:06 UTC
adwaita-qt-0.97-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.